{ pkgs-unstable, ... }:
{
  i18n.inputMethod = {
    enabled = "fcitx5";
    # type = "fcitx5"; # for later than 24.05
    # enable = true;
    fcitx5 = {
      waylandFrontend = true;
      addons = with pkgs-unstable; [
        rime-data
        fcitx5-rime
        fcitx5-gtk
        fcitx5-chinese-addons
        fcitx5-catppuccin
      ];
    };
  };
  services.xserver.desktopManager.runXdgAutostartIfNone = true;
  environment.variables = {
    GLFW_IM_MODULE = "fcitx";
    GTK_IM_MODULE = "fcitx";
    INPUT_METHOD = "fcitx";
    XMODIFIERS = "@im=fcitx";
    IMSETTINGS_MODULE = "fcitx";
    QT_IM_MODULE = "fcitx";
    SDL_IM_MODULE = "fcitx";
  };
}
